Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::io::IXMLBase Class Reference

Empty class to be used as parent class for IrrXMLReader. More...

`#include <irrXML.h>`

## Detailed Description

Empty class to be used as parent class for IrrXMLReader.

If you need another class as base class for the xml reader, you can do this by creating the reader using for example new CXMLReaderImpl<char, YourBaseClass>(yourcallback); The Irrlicht Engine for example needs IReferenceCounted as base class for every object to let it automaticly reference countend, hence it replaces IXMLBase with IReferenceCounted. See irrXML.cpp on how this can be done in detail.

Definition at line 236 of file irrXML.h.

The documentation for this class was generated from the following file:

- irrXML.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:06 2010 by Doxygen (1.6.2)